Subject: bug#3252: 23.0.93; extremely slow to open file on windows network drive

From: Eli Zaretskii <[email-masked]>
Date: Mon, 18 May 2009 23:31:29 +0300

> Date: Mon, 18 May 2009 20:13:37 +0100
> From: Chris Withers <[email-masked]>
> CC: [email-masked], [email-masked]
> 
> > Also, what happens if you use "C-x C-f" to visit an identical file on
> > the networked drive, but whose name ends with a .txt extension? 
> 
> Interestingly, that's prettymuch instantaneous, as it should be.
> However, a .cfg file (which openis in Conf[unix]) mode is just as slow 
> as the .py file.

Can you try using elp.el to profile python.el and conf-mode.el in the
slow cases?  The instructions are at the beginning of elp.el.

> > see any significant change in the time it takes?  If visiting a .txt
> > file is also instantaneous, then please tell what version of Python
> > mode do you use.
> 
> I use whatever ships with 23.0.93. How can I check the version for definite?

If you are sure you are using python.el that comes with Emacs 23.0.93
and that there's no stray python-SOMETHING.el on your load-path, then
no need to dig deeper.

> Also, what mode is used to open .cfg files?

conf-mode.el, I'd presume.